body.woocommerce-page .wc-block-components-product-name {
  margin-bottom: 0 !important;
}
body.woocommerce-page div[data-barba=container] .woocommerce {
  width: 1200px;
  max-width: 100%;
  margin: 1.5rem auto;
  margin-top: 150px;
}
body.woocommerce-page div[data-barba=container] > .woocommerce {
  max-width: 90vw;
}
@media (max-width: 768px) {
  body.woocommerce-page div[data-barba=container] > .woocommerce {
    margin: 8rem auto 0;
  }
}
body.woocommerce-page div[data-barba=container] .product-remove {
  width: 2rem;
}
@media (max-width: 768px) {
  body.woocommerce-page div[data-barba=container] .product-remove {
    display: none !important;
  }
  body.woocommerce-page div[data-barba=container] .woocommerce-cart-form__cart-item {
    margin-top: 1rem;
    margin-bottom: 1rem;
  }
}
body.woocommerce-page div[data-barba=container] .product-thumbnail {
  padding: 0;
  width: 70px;
  text-align: center;
  display: none !important;
}
body.woocommerce-page div[data-barba=container] .product-thumbnail img {
  width: 35px;
  height: 35px;
  object-fit: contain;
}
@media (min-width: 768px) {
  body.woocommerce-page div[data-barba=container] .product-name {
    width: 60%;
  }
}
body.woocommerce-page div[data-barba=container] .product-quantity {
  text-align: center;
  user-select: none;
}
body.woocommerce-page div[data-barba=container] .product-price,
body.woocommerce-page div[data-barba=container] .product-subtotal {
  text-align: right;
}
body.woocommerce-page div[data-barba=container] .product-subtotal {
  font-weight: 600;
}
body.woocommerce-page .wc-proceed-to-checkout {
  display: inline-block;
  margin: 0 auto;
}
body.woocommerce-page .woocommerce-cart-form__contents {
  border: 0;
}
body.woocommerce-page .woocommerce-cart-form__contents td {
  border: 1.25px solid #ddd;
  border-collapse: collapse;
}
@media (max-width: 768px) {
  body.woocommerce-page .woocommerce-cart-form__contents td:not(:last-of-type) {
    border-bottom: 0;
  }
}
body.woocommerce-page .woocommerce-cart-form__contents tr {
  border: 0;
}
@media (min-width: 768px) {
  body.woocommerce-page .woocommerce-cart-form__contents tr:first-of-type {
    border: 1.25px solid #ddd;
  }
}
body.woocommerce-page .woocommerce-cart-form__contents tr:last-of-type td {
  border: 0;
  padding: 0;
}
@media (min-width: 768px) {
  body.woocommerce-page .woocommerce-cart-form__contents tr:last-of-type td {
    padding-top: 2rem;
  }
}
@media (max-width: 768px) {
  body.woocommerce-page .woocommerce-cart-form__contents tr:last-of-type td [name=update_cart] {
    margin-top: 1rem;
  }
}
body.woocommerce-page .woocommerce-cart-form__contents button[name=update_cart] {
  display: none !important;
}
body.woocommerce-page .shop_table {
  border-collapse: collapse !important;
  border-color: #ddd;
  border-width: 1px;
  border-radius: 0;
}
body.woocommerce-page .shop_table th {
  font-weight: 600;
}
body.woocommerce-page .shop_table tr, body.woocommerce-page .shop_table td, body.woocommerce-page .shop_table th {
  border-color: #ddd;
  border-width: 1px;
  background-color: transparent !important;
}
body.woocommerce-page .shop_table td {
  border-top: 1px solid #ddd;
}
body.woocommerce-page .shop_table thead th {
  border-bottom: 1px solid #ddd;
}
body.woocommerce-page .shop_table p {
  margin: 0;
}
body.woocommerce-page .shop_table dl.variation:last-child {
  margin-top: 0;
}
body.woocommerce-page .shop_table.cart th {
  border: 1.25px solid #ddd;
}
body.woocommerce-page .cart_totals .shop_table td, body.woocommerce-page .cart_totals .shop_table th {
  border: 1.25px solid #ddd;
}
body.woocommerce-page .cart_totals .shop_table th {
  font-weight: 400;
}
@media (max-width: 768px) {
  body.woocommerce-page .cart_totals {
    text-align: center !important;
  }
  body.woocommerce-page .cart_totals .shop_table th {
    border-bottom: 1px solid #ddd;
  }
  body.woocommerce-page .cart_totals .shop_table td {
    border: 0;
    border-bottom: 1px solid #ddd;
  }
  body.woocommerce-page .cart_totals .shop_table td:last-of-type {
    border-bottom: 0;
  }
}
body.woocommerce-page #coupon_code {
  width: 300px;
  max-width: 100%;
  border: 1px solid #ddd;
  padding: 0.33rem;
  backgorund: transparent;
  margin: 0;
}
body.woocommerce-page #coupon_code + button {
  width: auto !important;
  margin-left: 1rem;
}

.wc-block-cart-item__quantity {
  display: flex;
  gap: 1.5rem;
  align-items: center;
}
.wc-block-cart-item__quantity .wc-block-components-quantity-selector {
  margin-bottom: 0 !important;
}

#add_payment_method #payment, .woocommerce-cart #payment, .woocommerce-checkout #payment {
  background: transparent;
}

.order_grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 2rem;
}

@media (max-width: 912px) {
  .woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1 {
    float: none;
    width: auto;
  }
}

.col2-set .col-1,
.col2-set .col-2 {
  float: none;
  width: auto;
}
@media (max-width: 912px) {
  .col2-set {
    display: block;
  }
  .col2-set > div {
    float: none;
    width: auto;
  }
}
.col2-set h3 {
  font-weight: 500;
  color: #000;
}
.col2-set .woocommerce-billing-fields > h3:first-of-type {
  font-size: 30px;
  line-height: 36px;
}
@media (max-width: 800px) {
  .col2-set {
    display: block;
  }
}
.col2-set #customer_details {
  grid-column: 1;
}
.col2-set .div_o {
  grid-column: 2;
}

input, textarea {
  border-width: 1px;
  outline: 0;
  padding: 0.5em;
  border-radius: 0.5rem;
}

textarea {
  min-height: 5rem;
}

input[type=text],
input[type=email],
input[type=tel],
textarea,
select,
.woocommerce form .form-row .input-text, .woocommerce form .form-row select,
.select2-container--default .select2-selection--single {
  border-radius: 0.5rem;
  border: 0;
  background: var(--bg--accent-light);
  border: 1px solid #ddd;
}

.woocommerce form .form-row .input-checkbox {
  vertical-align: unset;
}

.create-account {
  margin-top: 1rem;
}

.select2-selection__arrow {
  top: 0.5em !important;
}

#add_payment_method #payment div.payment_box, .woocommerce-cart #payment div.payment_box, .woocommerce-checkout #payment div.payment_box {
  background-color: #f9f9f9;
}

#add_payment_method #payment div.payment_box::before, .woocommerce-cart #payment div.payment_box::before, .woocommerce-checkout #payment div.payment_box::before {
  border-bottom-color: #f9f9f9;
}

.woocommerce form .form-row-first, .woocommerce form .form-row-last, .woocommerce-page form .form-row-first, .woocommerce-page form .form-row-last {
  width: 49%;
}

.woocommerce-form-login-toggle .woocommerce-info,
.woocommerce-form-coupon-toggle .woocommerce-info {
  background: transparent;
  color: #000;
  font-weight: normal;
  border: 0;
  border-radius: 0;
}
.woocommerce-form-login-toggle .woocommerce-info a,
.woocommerce-form-coupon-toggle .woocommerce-info a {
  color: #000;
}

.woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register {
  border: 0;
  border-radius: 0;
  padding: 0;
}

.woocommerce form.checkout_coupon {
  display: flex;
  gap: 2rem;
  flex-wrap: wrap;
  align-items: center;
}
.woocommerce form.checkout_coupon .form-row {
  margin: 0 !important;
  padding: 0 !important;
}

body.woocommerce-checkout .woocommerce-form-login,
body.woocommerce-checkout .woocommerce-form-coupon {
  margin-top: 0;
  border-radius: 0;
}
@media (min-width: 1000px) {
  body.woocommerce-checkout form.checkout {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: auto auto auto;
    column-gap: 2rem;
  }
  body.woocommerce-checkout form.checkout #customer_details {
    grid-column: 1;
    width: auto;
    grid-row: 1/span 3;
  }
  body.woocommerce-checkout form.checkout #customer_details .col-1,
body.woocommerce-checkout form.checkout #customer_details .col-2 {
    float: none;
    width: auto;
  }
  body.woocommerce-checkout form.checkout #order_review_heading,
body.woocommerce-checkout form.checkout #order_review {
    grid-column: 2;
  }
}

.return-to-shop {
  text-align: center;
}

.checkout_coupon .form-row-first,
.checkout_coupon .form-row-last {
  width: auto !important;
}
.checkout_coupon .form-row-last {
  float: none !important;
  margin: 0 !important;
  padding: 0;
  clear: both;
}
.checkout_coupon .form-row-last button {
  line-height: 1.5;
  max-width: 300px;
}

.woocommerce-form-login .form-row-first,
.woocommerce-form-login .form-row-last {
  max-width: 300px;
}
.woocommerce-form-login .form-row-last {
  float: left !important;
  margin-left: 1rem !important;
}

label[for$=_dostawa_next_day]::after {
  content: " (dostawa realizowana w ciagu 1-2 dni roboczych)";
  font-size: 11.2px;
  color: #767676;
  font-weight: 400;
}

.wp-block-woocommerce-cart {
  padding-left: 3rem;
  padding-right: 3rem;
}
@media (max-width: 912px) {
  .wp-block-woocommerce-cart {
    padding-left: 1.5rem;
    padding-right: 1.5rem;
  }
}

.wc-block-checkout {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
}

@media (min-width: 100000px) {
  [data-block-name="woocommerce/classic-shortcode"] {
    display: grid;
    grid-template-columns: 50% 50%;
  }
  [data-block-name="woocommerce/classic-shortcode"] .cart_totals {
    width: 95% !important;
  }
  [data-block-name="woocommerce/classic-shortcode"] .cart_totals > h2 {
    display: none;
  }
}
@media (max-width: 768px) {
  .wc-block-components-radio-control .wc-block-components-radio-control__input {
    left: 0 !important;
  }
}

.wc-block-components-radio-control__label, .wc-block-components-radio-control__secondary-label {
  line-height: normal !important;
}

.wp-block-woocommerce-cart {
  margin-top: 7rem;
}